RESTinio

Public Attributes | List of all members
z_stream_s Struct Reference

`#include <zlib.h>`

## Public Attributes
z_const Bytef * | next_in
uInt | avail_in
uLong | total_in
Bytef * | next_out
uInt | avail_out
uLong | total_out
z_const char * | msg
struct internal_state FAR * | state
alloc_func | zalloc
free_func | zfree
voidpf | opaque
int | data_type
uLong | adler
uLong | reserved

## Detailed Description

Definition at line 86 of file zlib.h.

## Member Data Documentation

## ◆ adler

uLong z_stream_s::adler

Definition at line 104 of file zlib.h.

## ◆ avail_in

uInt z_stream_s::avail_in

Definition at line 88 of file zlib.h.

## ◆ avail_out

uInt z_stream_s::avail_out

Definition at line 92 of file zlib.h.

## ◆ data_type

int z_stream_s::data_type

Definition at line 102 of file zlib.h.

## ◆ msg

z_const char* z_stream_s::msg

Definition at line 95 of file zlib.h.

## ◆ next_in

z_const Bytef* z_stream_s::next_in

Definition at line 87 of file zlib.h.

## ◆ next_out

Bytef* z_stream_s::next_out

Definition at line 91 of file zlib.h.

## ◆ opaque

voidpf z_stream_s::opaque

Definition at line 100 of file zlib.h.

## ◆ reserved

uLong z_stream_s::reserved

Definition at line 105 of file zlib.h.

## ◆ state

struct internal_state FAR* z_stream_s::state

Definition at line 96 of file zlib.h.

## ◆ total_in

uLong z_stream_s::total_in

Definition at line 89 of file zlib.h.

## ◆ total_out

uLong z_stream_s::total_out

Definition at line 93 of file zlib.h.

## ◆ zalloc

alloc_func z_stream_s::zalloc

Definition at line 98 of file zlib.h.

## ◆ zfree

free_func z_stream_s::zfree

Definition at line 99 of file zlib.h.

The documentation for this struct was generated from the following file:

- restinio/third_party/zlib/zlib.h